# Netdata

This repository contains scripts for ingesting and processing data from Netdata.

## MongoDB

To ingest data from Netdata into a MongoDB database,
the Netdata API can be used to obtain measurements and 
observations as JSON data.

See [Netdata#Database Backends](https://charlesreid1.com/wiki/Netdata#Database_Backends)
on the charlesreid1.com wiki.

The script `netdata_mongo.py` uses the `requests` library to 
extract Netdata data as JSON and turn it into a Python dictionary.
The `pymongo` library is used to insert the data into MongoDB.

